{% load static %}

<!DOCTYPE html>
<html>
    <head>
        <title>
            {% block title %}{% endblock title %}
        </title>
        <link rel="stylesheet" href="{% static "css/recipes.css" %}">
    </head>
    <body>
        <header class="has-orangered-background">
            <nav>
            <a class="nav_link" href="{% url 'recipe_list' %}">Main page</a>


            {% if user.is_authenticated %}
                <a class="nav_link" href="{% url 'create_recipe' %}">Create a Recipe</a>
                <a class="nav_link" href="{% url "my_recipe_list" %}">My Recipes</a>
                <span style="float:right">
                    <div class="authenticated"> Hello, {{ user.first_name }}! </div>
                    <a class="authenticated" href="{% url "signout" %}">Sign Out</a>
                </span>
            {% else %}
                <a class="nav_link" href="{% url 'signup' %}">Sign Up</a>
                <a class="nav_link" href="{% url 'signin' %}">Sign In</a>
            {% endif %}
        </nav>
        </header>
        <main>
            {% block main%}{% endblock main %}
        </main>
        <footer>
            <div>Made with love by Scrumptious Recipes</div>
        </footer>
    </body>
</html>
